<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_352) on Wed Jan 18 13:38:25 CET 2023 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF8">
<title>TrisTableau</title>
<meta name="date" content="2023-01-18">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TrisTableau";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="index.html?TrisTableau.html" target="_top">Frames</a></li>
<li><a href="TrisTableau.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Class TrisTableau" class="title">Class TrisTableau</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>TrisTableau</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>class <span class="typeNameLabel">TrisTableau</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#cpt">cpt</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) SimplesTableau</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#monSpleTab">monSpleTab</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="TrisTableau.html#TrisTableau--">TrisTableau</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#creerTabAleatoire-int-int-int-">creerTabAleatoire</a></span>(int&nbsp;taille,
                 int&nbsp;nbMin,
                 int&nbsp;nbMax)</code>
<div class="block">Rempli un tableau d'une longueur donnée avec des nombres aléatoires</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#creerTabFreq-int:A-int-">creerTabFreq</a></span>(int[]&nbsp;leTab,
            int&nbsp;nbElem)</code>
<div class="block">A partir d'un tableau initial passé en paramètre "leTab", cette méthode renvoie un nouveau tableau "tabFreq" d'entiers où chaque
 case contient la fréquence d'apparition des valeurs dans le tableau initial.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#principal--">principal</a></span>()</code>
<div class="block">point d’entrée de l’exécution</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#rechercheDicho-int:A-int-int-">rechercheDicho</a></span>(int[]&nbsp;leTab,
              int&nbsp;nbElem,
              int&nbsp;aRech)</code>
<div class="block">Recherche dichotomique d'une valeur dans un tableau.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#rechercheSeq-int:A-int-int-">rechercheSeq</a></span>(int[]&nbsp;leTab,
            int&nbsp;nbElem,
            int&nbsp;aRech)</code>
<div class="block">Recherche séquentielle d'une valeur dans un tableau.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#separer-int:A-int-int-">separer</a></span>(int[]&nbsp;tab,
       int&nbsp;indL,
       int&nbsp;indR)</code>
<div class="block">Cette méthode renvoie l’indice de séparation du tableau en 2 parties par placement du pivot à la bonne case.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasCreerTabFreq-int:A-int-int:A-">testCasCreerTabFreq</a></span>(int[]&nbsp;leTab,
                   int&nbsp;nbElem,
                   int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de creerTabFreq</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasRechercheDicho-int:A-int-int-int-">testCasRechercheDicho</a></span>(int[]&nbsp;leTab,
                     int&nbsp;nbElem,
                     int&nbsp;aRech,
                     int&nbsp;repAtt)</code>
<div class="block">teste un appel de rechercheDicho</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasRerchercheSeq-int:A-int-int-int-">testCasRerchercheSeq</a></span>(int[]&nbsp;leTab,
                    int&nbsp;nbElem,
                    int&nbsp;aRech,
                    int&nbsp;repAtt)</code>
<div class="block">teste un appel de verifTab</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasSeparer-int:A-int-int-int-">testCasSeparer</a></span>(int[]&nbsp;tab,
              int&nbsp;indL,
              int&nbsp;indR,
              int&nbsp;repAtt)</code>
<div class="block">teste un appel de separer</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasTriABulles-int:A-int-int:A-">testCasTriABulles</a></span>(int[]&nbsp;leTab,
                 int&nbsp;nbElem,
                 int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de triABulles</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasTriParComptageFreq-int:A-int-int:A-">testCasTriParComptageFreq</a></span>(int[]&nbsp;leTab,
                         int&nbsp;nbElem,
                         int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de triParComptageFreq</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasTriRapide-int:A-int-int:A-">testCasTriRapide</a></span>(int[]&nbsp;leTab,
                int&nbsp;nbElem,
                int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de triRapide</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasTriSimple-int:A-int-int:A-">testCasTriSimple</a></span>(int[]&nbsp;leTab,
                int&nbsp;nbElem,
                int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de triSimple</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCasVerifTri-int:A-int-boolean-">testCasVerifTri</a></span>(int[]&nbsp;leTab,
               int&nbsp;nbElem,
               boolean&nbsp;repAtt)</code>
<div class="block">teste un appel de verifTri</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCreerTabAleatoire--">testCreerTabAleatoire</a></span>()</code>
<div class="block">test de la méthode creerTabAleatoire</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testCreerTabFreq--">testCreerTabFreq</a></span>()</code>
<div class="block">test de la méthode creerTabFreq</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testRechercheDicho--">testRechercheDicho</a></span>()</code>
<div class="block">test de la méthode rechercheDicho</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testRechercheDichoEfficacite--">testRechercheDichoEfficacite</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testRechercheSeq--">testRechercheSeq</a></span>()</code>
<div class="block">test de la méthode rechercheSeq</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testRechercheSeqEfficacite--">testRechercheSeqEfficacite</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testSeparer--">testSeparer</a></span>()</code>
<div class="block">test de la méthode separer</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriABulles--">testTriABulles</a></span>()</code>
<div class="block">test de la méthode triABulles</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriABullesEfficacite--">testTriABullesEfficacite</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriParComptageFreq--">testTriParComptageFreq</a></span>()</code>
<div class="block">test de la méthode triParComptageFreq</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriParComptageFreqEfficacite--">testTriParComptageFreqEfficacite</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriRapide--">testTriRapide</a></span>()</code>
<div class="block">test de la méthode triRapide</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriRapideEfficacite--">testTriRapideEfficacite</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriSimple--">testTriSimple</a></span>()</code>
<div class="block">test de la méthode triSimple</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testTriSimpleEfficacite--">testTriSimpleEfficacite</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#testVerifTri--">testVerifTri</a></span>()</code>
<div class="block">test de la méthode verifTri</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#triABulles-int:A-int-">triABulles</a></span>(int[]&nbsp;leTab,
          int&nbsp;nbElem)</code>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri à bulles : tant que le tableau n'est pas trié, permuter le contenu de 2
 cases successives si leTab[i] > leTab[i+1].</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#triParComptageFreq-int:A-int-">triParComptageFreq</a></span>(int[]&nbsp;leTab,
                  int&nbsp;nbElem)</code>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri par comptage de fréquences.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#triRapide-int:A-int-">triRapide</a></span>(int[]&nbsp;leTab,
         int&nbsp;nbElem)</code>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri rapide (QuickSort).</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#triRapideRec-int:A-int-int-">triRapideRec</a></span>(int[]&nbsp;tab,
            int&nbsp;indL,
            int&nbsp;indR)</code>
<div class="block">Méthode de tri récursive selon le principe de séparation.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#triSimple-int:A-int-">triSimple</a></span>(int[]&nbsp;leTab,
         int&nbsp;nbElem)</code>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode simple : l'élément minimum est placé en début de tableau (efficacité en n
 carré).</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>(package private) boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="TrisTableau.html#verifTri-int:A-int-">verifTri</a></span>(int[]&nbsp;leTab,
        int&nbsp;nbElem)</code>
<div class="block">Vérifie que le tableau passé en paramètre est trié par ordre croissant des valeurs.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="cpt">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cpt</h4>
<pre>long cpt</pre>
</li>
</ul>
<a name="monSpleTab">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>monSpleTab</h4>
<pre>SimplesTableau monSpleTab</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TrisTableau--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TrisTableau</h4>
<pre>TrisTableau()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="principal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>principal</h4>
<pre>void&nbsp;principal()</pre>
<div class="block">point d’entrée de l’exécution</div>
</li>
</ul>
<a name="rechercheSeq-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rechercheSeq</h4>
<pre>int&nbsp;rechercheSeq(int[]&nbsp;leTab,
                 int&nbsp;nbElem,
                 int&nbsp;aRech)</pre>
<div class="block">Recherche séquentielle d'une valeur dans un tableau. La valeur à rechercher peut exister en plusieurs exemplaires mais la recherche
 s'arrête dès qu'une première valeur est trouvée. On suppose que le tableau passé en paramètre est créé et possède au moins une
 valeur (nbElem > 0). Ceci ne doit donc pas être vérifié.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau dans lequel effectuer la recherche</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
<dd><code>aRech</code> - - l'entier à rechercher dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'indice (>=0) de la position de l'entier dans le tableau ou -1 s'il n'est pas présent</dd>
</dl>
</li>
</ul>
<a name="testRechercheSeq--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testRechercheSeq</h4>
<pre>void&nbsp;testRechercheSeq()</pre>
<div class="block">test de la méthode rechercheSeq</div>
</li>
</ul>
<a name="testCasRerchercheSeq-int:A-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasRerchercheSeq</h4>
<pre>void&nbsp;testCasRerchercheSeq(int[]&nbsp;leTab,
                          int&nbsp;nbElem,
                          int&nbsp;aRech,
                          int&nbsp;repAtt)</pre>
<div class="block">teste un appel de verifTab</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - le tableau dont on doit vérifier l'existence (leTab différent de null)</dd>
<dd><code>nbElem</code> - le nombre d'éléments que contiendra le tableau, doit vérifier la condition 0 < nbElem <= leTab.length</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="testRechercheSeqEfficacite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testRechercheSeqEfficacite</h4>
<pre>void&nbsp;testRechercheSeqEfficacite()</pre>
</li>
</ul>
<a name="creerTabAleatoire-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creerTabAleatoire</h4>
<pre>int[]&nbsp;creerTabAleatoire(int&nbsp;taille,
                        int&nbsp;nbMin,
                        int&nbsp;nbMax)</pre>
<div class="block">Rempli un tableau d'une longueur donnée avec des nombres aléatoires</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>taille</code> - - la taille que devra faire le tableau</dd>
<dd><code>nbMin</code> - - le nombre aléatoire minimum</dd>
<dd><code>nbMax</code> - - le nombre aléatoire maximum</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le tableau de taille taille</dd>
</dl>
</li>
</ul>
<a name="testCreerTabAleatoire--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCreerTabAleatoire</h4>
<pre>void&nbsp;testCreerTabAleatoire()</pre>
<div class="block">test de la méthode creerTabAleatoire</div>
</li>
</ul>
<a name="verifTri-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifTri</h4>
<pre>boolean&nbsp;verifTri(int[]&nbsp;leTab,
                 int&nbsp;nbElem)</pre>
<div class="block">Vérifie que le tableau passé en paramètre est trié par ordre croissant des valeurs. On suppose que le tableau passé en paramètre est
 créé et possède au moins une valeur (nbElem > 0). Ceci ne doit donc pas être vérifié.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à vérifier (trié en ordre croissant)</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si le tableau est trié</dd>
</dl>
</li>
</ul>
<a name="testVerifTri--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testVerifTri</h4>
<pre>void&nbsp;testVerifTri()</pre>
<div class="block">test de la méthode verifTri</div>
</li>
</ul>
<a name="testCasVerifTri-int:A-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasVerifTri</h4>
<pre>void&nbsp;testCasVerifTri(int[]&nbsp;leTab,
                     int&nbsp;nbElem,
                     boolean&nbsp;repAtt)</pre>
<div class="block">teste un appel de verifTri</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à vérifier (trié en ordre croissant)</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="rechercheDicho-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rechercheDicho</h4>
<pre>int&nbsp;rechercheDicho(int[]&nbsp;leTab,
                   int&nbsp;nbElem,
                   int&nbsp;aRech)</pre>
<div class="block">Recherche dichotomique d'une valeur dans un tableau. On suppose que le tableau est trié par ordre croissant. La valeur à
 rechercher peut exister en plusieurs exemplaires, dans ce cas, c'est la valeur à l'indice le + faible qui sera trouvé. On suppose
 également que le tableau passé en paramètre est créé et possède au moins une valeur (nbElem > 0). Ceci ne doit donc pas être
 vérifié.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau trié par ordre croissant dans lequel effectuer la recherche)</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
<dd><code>aRech</code> - - l'entier à rechercher dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'indice (>=0) de la position de l'entier dans le tableau ou -1 s'il n'est pas présent</dd>
</dl>
</li>
</ul>
<a name="testRechercheDichoEfficacite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testRechercheDichoEfficacite</h4>
<pre>void&nbsp;testRechercheDichoEfficacite()</pre>
</li>
</ul>
<a name="testRechercheDicho--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testRechercheDicho</h4>
<pre>void&nbsp;testRechercheDicho()</pre>
<div class="block">test de la méthode rechercheDicho</div>
</li>
</ul>
<a name="testCasRechercheDicho-int:A-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasRechercheDicho</h4>
<pre>void&nbsp;testCasRechercheDicho(int[]&nbsp;leTab,
                           int&nbsp;nbElem,
                           int&nbsp;aRech,
                           int&nbsp;repAtt)</pre>
<div class="block">teste un appel de rechercheDicho</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau trié par ordre croissant dans lequel effectuer la recherche)</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
<dd><code>aRech</code> - - l'entier à rechercher dans le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="triSimple-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>triSimple</h4>
<pre>void&nbsp;triSimple(int[]&nbsp;leTab,
               int&nbsp;nbElem)</pre>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode simple : l'élément minimum est placé en début de tableau (efficacité en n
 carré). On suppose que le tableau passé en paramètre est créé et possède au moins une valeur (nbElem > 0). Ceci ne doit donc pas
 être vérifié.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
</dl>
</li>
</ul>
<a name="testTriSimpleEfficacite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriSimpleEfficacite</h4>
<pre>void&nbsp;testTriSimpleEfficacite()</pre>
</li>
</ul>
<a name="testTriSimple--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriSimple</h4>
<pre>void&nbsp;testTriSimple()</pre>
<div class="block">test de la méthode triSimple</div>
</li>
</ul>
<a name="testCasTriSimple-int:A-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasTriSimple</h4>
<pre>void&nbsp;testCasTriSimple(int[]&nbsp;leTab,
                      int&nbsp;nbElem,
                      int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de triSimple</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="separer-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>separer</h4>
<pre>int&nbsp;separer(int[]&nbsp;tab,
            int&nbsp;indL,
            int&nbsp;indR)</pre>
<div class="block">Cette méthode renvoie l’indice de séparation du tableau en 2 parties par placement du pivot à la bonne case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab</code> - - le tableau des valeurs</dd>
<dd><code>indR</code> - - indice Right de fin de tableau</dd>
<dd><code>indL</code> - - indice Left de début de tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l’indice de séparation du tableau</dd>
</dl>
</li>
</ul>
<a name="testSeparer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testSeparer</h4>
<pre>void&nbsp;testSeparer()</pre>
<div class="block">test de la méthode separer</div>
</li>
</ul>
<a name="testCasSeparer-int:A-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasSeparer</h4>
<pre>void&nbsp;testCasSeparer(int[]&nbsp;tab,
                    int&nbsp;indL,
                    int&nbsp;indR,
                    int&nbsp;repAtt)</pre>
<div class="block">teste un appel de separer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab</code> - - le tableau des valeurs</dd>
<dd><code>indR</code> - - indice Right de fin de tableau</dd>
<dd><code>indL</code> - - indice Left de début de tableau</dd>
</dl>
</li>
</ul>
<a name="triRapideRec-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>triRapideRec</h4>
<pre>void&nbsp;triRapideRec(int[]&nbsp;tab,
                  int&nbsp;indL,
                  int&nbsp;indR)</pre>
<div class="block">Méthode de tri récursive selon le principe de séparation. La méthode s'appelle elle-même sur les tableaux gauche et droite par
 rapport à un pivot.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab</code> - - le tableau sur lequel est effectué la séparation</dd>
<dd><code>indL</code> - - l'indice gauche de début de tableau</dd>
<dd><code>indR</code> - - l'indice droite de fin de tableau</dd>
</dl>
</li>
</ul>
<a name="triRapide-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>triRapide</h4>
<pre>void&nbsp;triRapide(int[]&nbsp;leTab,
               int&nbsp;nbElem)</pre>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri rapide (QuickSort). On suppose que le tableau passé en paramètre est
 créé et possède au moins une valeur (nbElem > 0). Ceci ne doit donc pas être vérifié. Cette méthode appelle triRapideRec(...) qui elle
 effectue réellement le tri rapide selon la méthode de séparation récursive.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
</dl>
</li>
</ul>
<a name="testTriRapideEfficacite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriRapideEfficacite</h4>
<pre>void&nbsp;testTriRapideEfficacite()</pre>
</li>
</ul>
<a name="testTriRapide--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriRapide</h4>
<pre>void&nbsp;testTriRapide()</pre>
<div class="block">test de la méthode triRapide</div>
</li>
</ul>
<a name="testCasTriRapide-int:A-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasTriRapide</h4>
<pre>void&nbsp;testCasTriRapide(int[]&nbsp;leTab,
                      int&nbsp;nbElem,
                      int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de triRapide</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="creerTabFreq-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creerTabFreq</h4>
<pre>int[]&nbsp;creerTabFreq(int[]&nbsp;leTab,
                   int&nbsp;nbElem)</pre>
<div class="block">A partir d'un tableau initial passé en paramètre "leTab", cette méthode renvoie un nouveau tableau "tabFreq" d'entiers où chaque
 case contient la fréquence d'apparition des valeurs dans le tableau initial. Pour simplifier, on suppose que le tableau initial ne contient
 que des entiers compris entre 0 et max (>0). Dès lors le tableau "tabFreq" se compose de (max+1) cases et chaque case "i"
 (0<=i<=max) contient le nombre de fois que l'entier "i" apparait dans le tableau initial. On suppose que le tableau passé en
 paramètre est créé et possède au moins une valeur (nbElem > 0). Ceci ne doit donc pas être vérifié. Par contre, on vérifiera que le
 max du tableau initial est >= min et que le min est >= 0. Dans le cas contraire, renvoyer un tableau "null".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau initial</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le tableau des fréquences de taille (max+1) ou null si la méthode ne s'applique pas</dd>
</dl>
</li>
</ul>
<a name="testCreerTabFreq--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCreerTabFreq</h4>
<pre>void&nbsp;testCreerTabFreq()</pre>
<div class="block">test de la méthode creerTabFreq</div>
</li>
</ul>
<a name="testCasCreerTabFreq-int:A-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasCreerTabFreq</h4>
<pre>void&nbsp;testCasCreerTabFreq(int[]&nbsp;leTab,
                         int&nbsp;nbElem,
                         int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de creerTabFreq</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau initial</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="triParComptageFreq-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>triParComptageFreq</h4>
<pre>void&nbsp;triParComptageFreq(int[]&nbsp;leTab,
                        int&nbsp;nbElem)</pre>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri par comptage de fréquences. On suppose que le tableau passé en
 paramètre est créé et possède au moins une valeur (nbElem > 0). Ceci ne doit donc pas être vérifié.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
</dl>
</li>
</ul>
<a name="testTriParComptageFreqEfficacite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriParComptageFreqEfficacite</h4>
<pre>void&nbsp;testTriParComptageFreqEfficacite()</pre>
</li>
</ul>
<a name="testTriParComptageFreq--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriParComptageFreq</h4>
<pre>void&nbsp;testTriParComptageFreq()</pre>
<div class="block">test de la méthode triParComptageFreq</div>
</li>
</ul>
<a name="testCasTriParComptageFreq-int:A-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasTriParComptageFreq</h4>
<pre>void&nbsp;testCasTriParComptageFreq(int[]&nbsp;leTab,
                               int&nbsp;nbElem,
                               int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de triParComptageFreq</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="triABulles-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>triABulles</h4>
<pre>void&nbsp;triABulles(int[]&nbsp;leTab,
                int&nbsp;nbElem)</pre>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri à bulles : tant que le tableau n'est pas trié, permuter le contenu de 2
 cases successives si leTab[i] > leTab[i+1]. On suppose que le tableau passé en paramètre est créé et possède au moins une valeur
 (nbElem > 0). Ceci ne doit donc pas être vérifié.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
</dl>
</li>
</ul>
<a name="testTriABullesEfficacite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriABullesEfficacite</h4>
<pre>void&nbsp;testTriABullesEfficacite()</pre>
</li>
</ul>
<a name="testTriABulles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTriABulles</h4>
<pre>void&nbsp;testTriABulles()</pre>
<div class="block">test de la méthode triABulles</div>
</li>
</ul>
<a name="testCasTriABulles-int:A-int-int:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>testCasTriABulles</h4>
<pre>void&nbsp;testCasTriABulles(int[]&nbsp;leTab,
                       int&nbsp;nbElem,
                       int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de triABulles</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à trier par ordre croissant</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contient le tableau</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="index.html?TrisTableau.html" target="_top">Frames</a></li>
<li><a href="TrisTableau.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
